/** 基本的返回结构 */
export interface Response<T> {
  success: true;
  message: '操作成功！';
  code: 200;
  result: T;
  timestamp: number;
}

/** 测点树的节点 */
export interface MonitorSiteTreeNode {
  id: string;
  parentId: string;
  label: string;
  disasterType: string | null;
  disasterName: string | null;
  sensorType: string | null;
  sensorTypeName: string | null;
  sequence: number;
  leafNode: number;
  display: number;
  systemSource: string;
  x?: number;
  y?: number;
  z?: number;
  parentNode?: {
    id: string;
    label: string;
  };
  children?: MonitorSiteTreeNode[];
}

/** 测点树请求参数 */
export interface MonitorSiteTreeParams {
  mineCode?: string;
}

/** 测点详情 */
export interface MonitorSite {
  mineCode: string;
  disasterType: number;
  sensorCode: string;
  sensorPosition: string;
  sensorName: string;
  sensorType: any;
  metricRows: {
    orderId: number;
    metricName: string;
    metricValue: string;
    unit: string;
    status: any;
    statusDesc: any;
    sensorType: any;
  }[];
}

/** 保存测点请求参数 */
export interface SaveMonitorSiteParams {
  id: string;
  parentId: string;
  label: string;
  disasterType: string;
  disasterName: string;
  sensorType: string;
  sensorTypeName: string;
  systemSource: string;
  x: number;
  y: number;
  z: number;
}

/** 删除测点请求参数 */
export interface DeleteMonitorSiteParams {
  id: string;
  systemSource: string;
}

/** 测点详情请求参数 */
export interface MonitorSiteParams {
  // disasterType: number;
  // mineCode: string;
  // sensorCode: string;
  // sensorType: string;
  // parentNodeId: string;
  id: string;
  systemSource: string;
}

/** 测点操作相应 */
export interface MonitorSiteOperation {
  clickType: string;
  /** 类型未知 */
  id: any;
}

export interface MonitorSiteOperationParams {
  clickType: string;
  id?: string;
  data?: any;
  type?: string;
  sensorType?: string;
  sensorStatus?: string;
  from: 'tank';
}
