import type { AppRouteModule } from '@/router/types';

import { getParentLayout, LAYOUT } from '@/router/constant';
import { t } from '@/hooks/web/useI18n';

const fire: AppRouteModule = {
  path: '/fire',
  name: 'Fire',
  component: LAYOUT,
  redirect: '/fire/index',
  meta: {
    orderNo: 400,
    icon: 'ion:fire-outline',
    title: t('routes.vent.fire.fire'),
  },
  children: [
    {
      path: 'fire-home',
      name: 'fireHome',
      meta: {
        title: t('routes.vent.fire.home'),
      },
      component: () => import('@/views/vent/fire/fireHome/index.vue'),
    },
    {
      path: 'fire-composite-warn',
      name: 'fireCompositeWarn',
      meta: {
        title: t('routes.vent.fire.fireCompositeWarn'),
      },
      component: () => import('@/views/vent/fire/compositeWarn/index.vue'),
    },
    //  {
    //   path: 'fire-atomizing',
    //   name: 'fireAtomizing',
    //   meta: {
    //     title: t('routes.vent.fire.Atomizing'),
    //   },
    //   component: () => import('@/views/vent/fire/fireAtomizing/index.vue'),
    // },
    {
      path: 'fire-goaf',
      name: 'fireGoaf',
      meta: {
        title: t('routes.vent.fire.goaf'),
      },
      component: () => import('@/views/vent/fire/fireGoaf/index.vue'),
    },
    // {
    //   path: 'fire-goafList',
    //   name: 'fireGoafList',
    //   meta: {
    //     title: t('routes.vent.fire.goaflist'),
    //   },
    //   component: () => import('@/views/vent/fire/fireGoafList/index.vue'),
    // },
    {
      path: 'fire-monitor',
      name: 'fireMonitor',
      meta: {
        title: t('routes.vent.fire.fireMonitor'),
      },
      component: () => import('@/views/vent/fire/fireMonitor/index.vue'),
    },
    {
      path: 'fire-workFace',
      name: 'fireWorkFace',
      meta: {
        title: t('routes.vent.fire.beltConveyor'),
      },
      component: () => import('@/views/vent/fire/wokeFace/index.vue'),
    },
    {
      path: 'fire-distributionPoint',
      name: 'fireDistributionPoint',
      meta: {
        title: t('routes.vent.fire.fireDistributionPoint'),
      },
      component: () => import('@/views/vent/fire/fireDistributionPoint/index.vue'),
    },
  ],
};

export default fire;
