// 测点页面路由
import type { AppRouteModule } from '@/router/types';
import { LAYOUT } from '@/router/constant';
import { t } from '@/hooks/web/useI18n';

const monitor: AppRouteModule = {
  path: '/monitor',
  name: 'Monitor',
  component: LAYOUT,
  redirect: '/monitor/index',
  meta: {
    orderNo: 400,
    icon: 'ion:circle-outline',
    title: t('routes.vent.monitor.monitor'),
  },
  children: [
    {
      path: 'monitor-site',
      name: 'monitorSite',
      meta: {
        title: t('routes.vent.monitor.monitorSite'),
      },
      component: () => import('@/views/vent/monitor/site/index.vue'),
    },
  ],
};

export default monitor;
