
import { defHttp } from '@/utils/http/axios';
enum Api {
  getFireAreaInfo = '/fire/fireDisasterApi/getFireAreaInfo',
  getMbRealData ='/fire/fireDisasterApi/getMbRealData',
  getSgjcPointInfo= '/fire/fireDisasterApi/getSgjcPointInfo',
  getSgjcRealDataByPointCode='/fire/fireDisasterApi/getSgjcRealDataByPointCode',
  getInfosByAreaCode='/fire/fireDisasterApi/getInfosByAreaCode',
  getGxcwHistoryDataByPointCode='/fire/fireDisasterApi/getGxcwHistoryDataByPointCode',
  getZcHfWd='/fire/fireDisasterApi/getZcHfWd',
  getHeadingFace='/fire/fireDisasterApi/getHeadingFace',
  getMainTrafficYw='/fire/fireDisasterApi/getMainTrafficYw',
  getDsWd='/fire/fireDisasterApi/getDsWd',
 

}
/**
 * 工作面风险监测
 * @param params
 */
export const getFireAreaInfo = (params) => defHttp.get({ url: Api.getFireAreaInfo, params });

/**
 * 密闭监测实时信息
 * @param params
 */
export const getMbRealData = (params) => defHttp.get({ url: Api.getMbRealData, params });

/**
 * 
 * 获取工作面束管列表
 * @param params
 */
export const getSgjcPointInfo = (params) => defHttp.get({ url: Api.getSgjcPointInfo, params });

/**
 * 
 * 获取束管测点实时数据
 * @param params
 */
export const getSgjcRealDataByPointCode = (params) => defHttp.get({ url: Api.getSgjcRealDataByPointCode, params });

/**
 * 
 * 获取光钎条数及测点编号
 * @param params
 */
export const getInfosByAreaCode = (params) => defHttp.get({ url: Api.getInfosByAreaCode, params });

/**
 * 
 * 获取光钎测温图表数据
 * @param params
 */
export const getGxcwHistoryDataByPointCode = (params) => defHttp.get({ url: Api.getGxcwHistoryDataByPointCode, params });
/**
 * 综采工作面
 * @param params
 */
export const getZcHfWd = () => defHttp.get({ url: Api.getZcHfWd, });

/**
 * 掘进工作面
 * @param params
 */
export const getHeadingFace = () => defHttp.get({ url: Api.getHeadingFace, });

/**
 * 运输系统烟雾传感器
 * @param params
 */
export const getMainTrafficYw = () => defHttp.get({ url: Api.getMainTrafficYw, });

/**
 * 机电硐室传感器
 * @param params
 */
export const getDsWd = () => defHttp.get({ url: Api.getDsWd, });

