
import { defHttp } from '@/utils/http/axios';
enum Api {
  getFireAreaInfo = '/fire/fireDisasterApi/getFireAreaInfo',
  getInfosByAreaCode='/fire/fireDisasterApi/getInfosByAreaCode',
  getGxcwHistoryDataByPointCode='/fire/fireDisasterApi/getGxcwHistoryDataByPointCode',
  getYwRealData='/fire/fireDisasterApi/getYwRealData',
  getHyRealData='/fire/fireDisasterApi/getHyRealData',
  getPlzzRealData='/fire/fireDisasterApi/getPlzzRealData',
  getSgjcPointInfo= '/fire/fireDisasterApi/getSgjcPointInfo',
  getSgjcRealDataByPointCode='/fire/fireDisasterApi/getSgjcRealDataByPointCode',
  getSgjcHistoryData='/fire/fireDisasterApi/getSgjcHistoryData',

}
/**
 * 菜单树接口
 * @param params
 */
export const getFireAreaInfo = (params) => defHttp.get({ url: Api.getFireAreaInfo, params });

/**
 * 获取光钎条数及测点编号
 * @param params
 */
export const getInfosByAreaCode = (params) => defHttp.get({ url: Api.getInfosByAreaCode, params });

/**
 * 获取光钎图表数据
 * @param params
 */
export const getGxcwHistoryDataByPointCode = (params) => defHttp.get({ url: Api.getGxcwHistoryDataByPointCode, params });

/**
 * 获取烟雾传感器数据
 * @param params
 */
export const getYwRealData = (params) => defHttp.get({ url: Api.getYwRealData, params });

/**
 * 获取火焰传感器数据
 * @param params
 */
export const getHyRealData = (params) => defHttp.get({ url: Api.getHyRealData, params });

/**
 * 获取自动喷淋灭火装置数据
 * @param params
 */
export const getPlzzRealData = (params) => defHttp.get({ url: Api.getPlzzRealData, params });

/**
 * 
 * 获取束管测点实时数据
 * @param params
 */
export const getSgjcRealDataByPointCode = (params) => defHttp.get({ url: Api.getSgjcRealDataByPointCode, params });

/**
 * 
 * 获取束管列表
 * @param params
 */
export const getSgjcPointInfo = (params) => defHttp.get({ url: Api.getSgjcPointInfo, params });

/**
 * 获取束管曲线数据
 * @param params
 */
export const getSgjcHistoryData = (params) => defHttp.get({ url: Api.getSgjcHistoryData, params });